<?php

/**
 *
 */

if (!defined('ELK'))
	die('No access...');

function mgal_bbcode(&$codes)
{
	$codes[] = array(
		'tag' => 'smg',
		'type' => 'closed',
		'parameters' => array(
			'id' => array('optional' => true, 'validate' => create_function('&$value', '
				global $scripturl, $modSettings;

				$size = \'\';
				if (!empty($modSettings[\'max_image_width\']))
					$size .= \'max-width:\' . $modSettings[\'max_image_width\'] . \'px;width:100%;\';
				if (!empty($modSettings[\'max_image_height\']))
					$size .= \'max-height:\' . $modSettings[\'max_image_height\'] . \'px;\';
				if (!empty($size))
					$size = \'" style="\' . $size;
				return $scripturl . \'?action=mgal;mid=\' . $value . $size;
				
			'), 'match' => '(\d+)'),
		),
		'content' => '<img src="{id}" alt="" class="bbc_img" />',
		'disabled_content' => '($1)',
	);
}

function mgal_getimage($value)
{
	global $context, $topic;

	$db = database();

	$request = $db->query('', '
		SELECT af.id_file, af.filename, af.width, af.height, af.directory
		FROM {db_prefix}aeva_media AS am
			LEFT JOIN {db_prefix}aeva_files AS af ON (am.id_file = af.id_file)
		WHERE am.id_media = {int:media}
		LIMIT {int:limit}',
		array(
			'media' => $value,
			'limit' => 1,
		)
	);
	$media = $db->fetch_assoc($request);
	$db->free_result($request);

	return $media;
}

function mgal_settings($setting = '')
{
	static $data = null;
	if ($data === null)
	{
		$db = database();
		$request = $db->query('', '
			SELECT name, value
			FROM {db_prefix}aeva_settings',
			array()
		);
		$data = array();
		while ($row = $db->fetch_assoc($request))
			$data[$row['name']] = $row['value'];
		$db->free_result($request);
	}

	if ($setting !== '')
	{
		if (isset($data[$setting]))
			return $data[$setting];
		else
			return null;
	}
	else
		return $data;
}