<?php

/**
 *
 */

if (!defined('ELK'))
	die('No access...');

/**
 * 
 */
class Mgal_Controller extends Action_Controller
{
	/**
	 * Default (sub)action
	 *
	 * @see Action_Controller::action_index()
	 */
	public function action_index()
	{
		$this->action_image();
	}

	/**
	 */
	public function action_image()
	{
		global $context;

		require_once(SUBSDIR . '/Mgal.subs.php');
		$found = true;

		if (isset($_REQUEST['mid']))
		{
			$media = mgal_getimage((int) $_REQUEST['mid']);
			$datadir = mgal_settings('data_dir_path');

			$partial_name = $media['id_file'] . '_' . preg_replace(array('/[\s\.]/', '/[^\w_\.-]/'), array('_', ''), $media['filename']);
			list ($file) = glob($datadir . '/' . $media['directory'] . '/' . $partial_name . '*');

			$image_mime = array(
				// Image files
				'bmp' => 'image/bmp',
				'png' => 'image/png',
				'gif' => 'image/gif',
				'jpg' => 'image/jpeg',
				'jpe' => 'image/jpeg',
				'jpeg' => 'image/jpeg',
			);
			$ext = pathinfo($media['filename'], PATHINFO_EXTENSION);
			$mime = isset($image_mime[$ext]) ? $image_mime[$ext] : $image_mime['jpg'];

			if (!file_exists($file))
				$found = false;
		}
		else
			$found = false;

		if (!$found)
		{
			header('HTTP/1.0 404 Not Found');
			die('Error! File not found');
		}
		else
		{
			if (function_exists('ob_get_level'))
				while (@ob_get_level() > 0)
					@ob_end_clean();
			else
			{
				@ob_end_clean();
				@ob_end_clean();
				@ob_end_clean();
			}

			// Send it
			header('Pragma: ');
			if (!$context['browser']['is_gecko'])
				header('Content-Transfer-Encoding: binary');
			header('Expires: ' . gmdate('D, d M Y H:i:s', time() + 525600 * 60) . ' GMT');
			header('Last-Modified: ' . gmdate('D, d M Y H:i:s', filemtime($file)) . ' GMT');
			header('Accept-Ranges: bytes');
			header('Content-Length: ' . filesize($file));
			header('Content-Encoding: none');
			header('Content-Type: ' . $mime);
			header('Content-Disposition: inline; filename="' . $media['filename'] . '"');

			echo file_get_contents($file);
			die();
		}
	}
}